# Filecoin v2 retrievals

{% hint style="warning" %}

## Here Be Dragons!

Filecoin v2 retrieval is still in progress! \
\
If you experience issues with this format, please open a Github ticket with as much information as you can so we can debug faster!
{% endhint %}

A new piece-based splitting format simplifies Filecoin retrievals.&#x20;

This allows for a much more convenient configuration of Filecoin retrievals and supports other Filecoin protocols like bit swap and graphsync.

To configure Filecoin v2 retrievals, you specify a Subset CID (a Subset is a range of Slots in an Epoch). For the OF1 archive, we intend to publish Subset CIDs in an easy-to-retrieve place. You can also specify an optional list of storage\_providers from which you want to fetch the data.

```yaml
version: 1
epoch: 100
data:
  filecoin:
    enable: true
    subset_cids: 
      - bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i
      - bafyreibqt212roysxlxctgb52xxn27ectsll2xsfk24qar7ga6vusdjn32
    storage_providers:
      - f02366527
indexes:
  slot_to_cid:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-slot-to-cid.index
  sig_to_cid:
    uri:  /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-sig-to-cid.index
  sig_exists:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-sig-exists.index
  gsfa:
    uri: /of1/100/epoch-100-bafyreibqt2nvroysxlxctgb52xxn27ectsllv2xyka4qar7ga6vupmbs3i-mainnet-gsfa.indexdir
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.old-faithful.net/running-old-faithful/installation-and-setup/configuration-files/filecoin-v2-retrievals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
